Bug 712148 (CVE-2011-2198) - CVE-2011-2198 vte: Excessive memory and CPU use by processing certain character sequences
Summary: CVE-2011-2198 vte: Excessive memory and CPU use by processing certain charact...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2011-2198
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 712150
Blocks: 712153
TreeView+ depends on / blocked
 
Reported: 2011-06-09 15:27 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:45 UTC (History)
3 users (show)

Fixed In Version: vte 0.28.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-07 11:19:46 UTC


Attachments (Terms of Use)
Local copy of the preliminary patch, proposed by the issue reporter (640 bytes, patch)
2011-06-09 16:21 UTC, Jan Lieskovsky
no flags Details | Diff

Description Jan Lieskovsky 2011-06-09 15:27:55 UTC
An memory exhaustion flaw was found in the way VTE, a terminal emulator
widget, processed certain character sequences. A remote attacker could
provide a specially-crafted file, which once opened in a terminal using
the VTE terminal emulator could lead to excessive memory and CPU consumption.

References:
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=629688
[2] https://bugzilla.gnome.org/show_bug.cgi?id=652124

Comment 1 Jan Lieskovsky 2011-06-09 15:30:08 UTC
This issue affects the versions of the vte package, as shipped with
Red Hat Enterprise Linux 4, 5, and 6.

--

This issue affects the versions of the vte package, as shipped with
Fedora release of 13, 14, and 15. Please schedule an update (once final
upstream patch known).

Comment 2 Jan Lieskovsky 2011-06-09 15:30:54 UTC
Created vte tracking bugs for this issue

Affects: fedora-all [bug 712150]

Comment 3 Jan Lieskovsky 2011-06-09 15:37:46 UTC
CVE Request:
[3] http://www.openwall.com/lists/oss-security/2011/06/09/3

Comment 4 Jan Lieskovsky 2011-06-09 16:19:33 UTC
Public PoC how to reproduce the issu (from [1]):
================================================

$ printf "\033[100000000000000000@" > /tmp/x
$ cat /tmp/x

Comment 5 Jan Lieskovsky 2011-06-09 16:21:41 UTC
Created attachment 503935 [details]
Local copy of the preliminary patch, proposed by the issue reporter

From [4] https://bugzilla.gnome.org/show_bug.cgi?id=652124#c4

Comment 6 Vincent Danen 2011-06-13 20:37:41 UTC
This was assigned CVE-2011-2198.

Comment 7 Huzaifa S. Sidhpurwala 2011-06-14 03:15:46 UTC
Statement:

(none)


Note You need to log in before you can comment on or make changes to this bug.